%define	pkgname	libguac-client-vnc
%define	soname	%{pkgname}0
Summary:	Guacamole client plugin supporting VNC
Name:		%{soname}
Version:	0.6.0
Release:	2.1
License:	MPLv1.1 or GPLv2 or LGPLv2.1
Group:		System Environment/Libraries
%if 0%{?suse_version}
BuildRequires:	cairo-devel, libguac3-devel, LibVNCServer-devel
Requires:	cairo, LibVNCServer
%else
BuildRequires:	cairo-devel, libguac3-devel, libvncserver-devel
Requires:	cairo, libvncserver
%endif
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
This is a client plugin for Guacamole which supports VNC.

%package devel
Summary:        The vnc-client library (development headers)
Group:          Development/Libraries
Requires:       %{soname} = %{version}
%if 0%{?suse_version}
Requires:  cairo-devel, libguac3-devel, LibVNCServer-devel
%else
Requires:  cairo-devel, libguac3-devel, libvncserver-devel
%endif

%description devel
The development headers associated with the vnc-client library, libguac-client-vnc.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%post
/sbin/ldconfig
ln -sf %{_libdir}/%{pkgname}.so.0 %{_libdir}/%{pkgname}.so || :

%postun
/sbin/ldconfig
rm -f %{_libdir}/%{pkgname}.so || :

%changelog
* Sun Sep 30 2012 cs@linux-administrator.com
- initial package
